function generate_hier(handles);
%Генерируется иерархия по умолчанию.

global hierarchy_params;
global in_series;
y=in_series;
hierarchy_params=[];
nbeg=str2num(get(handles.edit3,'String'));
nend=str2num(get(handles.edit4,'String'));
N=nend-nbeg;

% Определяем наиболее оптимальную длину ряда при заданной иерархии.
type_hier=get(handles.radiobutton9,'Value');
nnn=2049;%%Iskusstvenno
if (type_hier==0)
    [N1,masm,masdt]=getbestlength(nnn,[2,3,5,7,11,13,17,19,23,29]);
    %Возможно использование простой иерархии - степени двоек.
else
    [N1,masdt]=getstepen2(nnn);
end
% Обрезаем входной ряд, убирая лишние начальные точки.
nbeg=1;%ceil(nend-3*N1/2);
y_urez=y(nbeg:nend);
set(handles.edit3,'String',num2str(nbeg-1));
%if size(y_urez,1)>size(y_urez,2)
%    y_urez=transpose(y_urez);
%end
% блок прогнозирования для каждого варианта приращения.
rewmasdt=-sort(-masdt);
%rewmasdt=rewmasdt%(3:length(rewmasdt));
masdtparam=[];
% 252-3,210-8, 180-10,140-2,126-13, 105-15,90-2,84-13,70-5,63-2, 60-11,45-11 - сп500
%sin30 :168-14,140-10,120-2,105-8,84-6,70-9,60-5,56-9,42-3,40-3,35-4,30-4, 28-9,24-15,21-4,20-3,15-7,14-15,12-7,10-2,8-10,7-9,6-8,5-6,4-4,3-9,2-5
masiv_s=[2,2,2,2,14,10,2,8,6,9,5,9,3,3,4,4,9,5,4,3,7,15,7,2,10,9,8,6,4,9,5];
masiv_k=[2,2,2];
%dtmanual=length(masiv_s);
dtmanual=length(rewmasdt);
tend=str2num(get(handles.edit4,'String'));
tbeg=str2num(get(handles.edit3,'String'));
N=tend-tbeg;
str=cell(dtmanual-2,1);
for numdt=3:dtmanual
    dtparam=[];
    dtparam.r=10; %Нужно выражение как-то. Зависимость от дт.
    dtparam.rmin=1;
    dtparam.rmax=1;
    dtparam.dt=rewmasdt(numdt);
    dtparam.testr=0;
    dtparam.s=5;%+round(sqrt(numdt));%masiv_s(numdt);
    dtparam.smin=3;
    dtparam.smax=7;
    dtparam.tests=0;
    dtparam.k=1;
    dtparam.kmin=1;
    dtparam.kmax=10;
    dtparam.testk=0;
    dtparam.tbeg=1;
    dtparam.tend=nnn+rewmasdt(numdt);;
    dtparam.tbeg_sost=1;
    dtparam.tend_sost=nnn+rewmasdt(numdt);;
    dtparam.use=1;
    str(dtmanual-numdt+1)={num2str(rewmasdt(numdt))};
    masdtparam=[dtparam,masdtparam];
end
set(handles.popupmenu1,'String',str);
hierarchy_params=masdtparam;
global in_series_urez;
in_series_urez=y_urez;
